@import "../../base/mixins";

.banner-topo {
  position: relative;

  > .image.-horizontal::after {
    padding-bottom: 48.31%;

    @include media("md") {
      padding-bottom: 18.23%;
    }
  }

  > .text {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 3.2rem 0;
    background-color: var(--gray-1);
  }

  > .text:not(.-imageless) {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    color: var(--white);
    background-color: rgba(0, 0, 0, 0.3);
    padding: 0;
  }

  > .text .container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;

    &.center {
      text-align: center;
      align-items: center;
    }

    &.right {
      align-items: flex-end;
    }
  }

  > .text .content {
    position: relative;
    max-width: 35rem;
  }

  .text .content > * {
    position: relative;
  }

  > .text .upper-title {
    margin-bottom: 0.8rem;
    display: block;
  }

  > .text .title {
    margin-bottom: 0;
  }

  > .text:not(.-imageless) .title {
    color: inherit;
  }

  > .text .description,
  > .text .subtitle {
    margin-top: 0.8rem;
    margin-bottom: 0;
  }

  > .text .count-products strong {
    font-weight: 700;
  }
}
